package org.jboss.mx.remoting.service;

import java.io.IOException;
import java.net.UnknownHostException;
import javax.management.MBeanRegistration;

/**
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 */
public interface JMXConnectorServerServiceMBean extends MBeanRegistration
{
   void create() throws Exception;

   void start() throws Exception;

   void stop() throws IOException;

   void destroy();

   void setRegistryPort(int registryPort);

   int getRegistryPort();

   void setBindAddress(String bindAddress) throws UnknownHostException;

   String getBindAddress();

   String getJndiPath();

   void setJndiPath(String jndiPath);
}
